Subject: Re: Compiling newlib/libc/stdlib
From: [email-masked] (Tony Thompson)

13 Oct 1998 08:54:06 -0700
Message-ID: <[email-masked]>
References: <AC4D3D80B239D211BC140000F879A2BA0AE49C@NTMAIL>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Ian Collins <[email-masked]>,
        "Gnu-Win32 (E-mail)" <[email-masked]>

I had similar behaviour with a different set of files. rm -rf of the old
source directory, before unpacking the new stuff, got round it for me.

I presume that some updated header has been moved, and isn't picked up if
the old one is in the way, but I didn't really investigate.

At 12:10 PM 10/12/98 +1300, Ian Collins wrote:
>
>I downloaded newlib-980824.tar.bz2 and winsup-980929.tar.bz2 from 
>
>ftp.cygnus.com/pub/noer/winsup-snapshot  
>
>I get the following errors when making these,
>
>When compiling /usr/src/newlib/libc/stdlib/mlock.c, I get an error from
>line 4 of malloc.h (located in /usr/src/newlib/libc/stdlib/malloc.h)
>which says,
>
>#define _PTR mptr
>
>but mptr isn't defined. I can get over it by adding a define for mptr to
>(void *).
>
>The next error is
>
>mstats.c:109: return-type is an incomplete type
>mstats.c: in function mallinfo
>
>Not sure what to do about this one.
>Has anyone else seen errors like this? Should I go to a previous newlib
>snapshot?

---------------------------------------------------
Tony Thompson
Senior Software Applications Engineer
ARM Ltd.   48/49 Bateman St, Cambridge, UK, CB2 1LR
Tel : +44 (0)1223-400751   Fax : +44 (0)1223-400408

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".